Creates a new job_files by supplying directly the field job_files.file_content as Byte Array

Request Information

URI Parameters :

None.

Body Parameters :

job_files
NameDescriptionTypeAdditional information
id

Primary key

globally unique identifier

Required

jobs_id

Job Id

globally unique identifier

Required

job_approval_id

Job approval Id

globally unique identifier

Required

file_name

Name of the file

string

Required

Max length: 100

name

string

Max length: 100

description

Description of the file

string
tags

Tags of the file

string
mime_type

Mime-type of the file.Used when redirect user to the data, like application/pdf or image/jpeg

string

Max length: 100

file_type

Readonly: Constant in case of specific file. Can be JOB_APPROVAL, ORDERPDF, PURCHASE_ORDERPDF

string

Max length: 200

image_height

In case of picture, the original heigth

integer
image_width

In case of picture, the original width

integer
file_size

Size in bytes of the file_content

integer
sales_organization_id

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating db_file

string
sales_organization

Embedded entity "sales_organization" using node when adding/updating db_file

sales_organization
file_content

The file content, in Byte Array. Use this field when using POST/PUT

Collection of byte
dateutc_added

Date UTC when file has been added

date
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date
user_id

globally unique identifier
show_on_web

boolean
db_report_id

The id of db_report

globally unique identifier

Request Formats :

application/json, text/json

Sample:
{
  "id": "0a1923a6-8b86-4e04-bf41-06372151584d",
  "jobs_id": "4a56c905-52c8-4322-9cfa-389ba4c8c0d6",
  "job_approval_id": "009b6ac1-465a-4042-b315-df87c9534078",
  "file_name": "sample string 4",
  "name": "sample string 5",
  "description": "sample string 6",
  "tags": "sample string 7",
  "mime_type": "sample string 8",
  "file_type": "sample string 9",
  "image_height": 10,
  "image_width": 11,
  "file_size": 12,
  "sales_organization_id": "76f886f5-bdbd-42b8-a727-3ee79d61e27c",
  "sales_organization_code": "sample string 14",
  "file_content": "QEA=",
  "dateutc_added": "2026-10-28T21:47:37.7728812+00:00",
  "modified_dateutc": "2026-10-28T21:47:37.7728812+00:00",
  "user_id": "6ac16248-4bdf-4485-962a-ef5603c48407",
  "show_on_web": true,
  "db_report_id": "8575cc5c-6d9a-4c53-9fc0-de451fd68cf0"
}

Response Information

Resource Description :

job_files
NameDescriptionTypeAdditional information
id

Primary key

globally unique identifier

Required

jobs_id

Job Id

globally unique identifier

Required

job_approval_id

Job approval Id

globally unique identifier

Required

file_name

Name of the file

string

Required

Max length: 100

name

string

Max length: 100

description

Description of the file

string
tags

Tags of the file

string
mime_type

Mime-type of the file.Used when redirect user to the data, like application/pdf or image/jpeg

string

Max length: 100

file_type

Readonly: Constant in case of specific file. Can be JOB_APPROVAL, ORDERPDF, PURCHASE_ORDERPDF

string

Max length: 200

image_height

In case of picture, the original heigth

integer
image_width

In case of picture, the original width

integer
file_size

Size in bytes of the file_content

integer
sales_organization_id

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating db_file

string
sales_organization

Embedded entity "sales_organization" using node when adding/updating db_file

sales_organization
file_content

The file content, in Byte Array. Use this field when using POST/PUT

Collection of byte
dateutc_added

Date UTC when file has been added

date
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date
user_id

globally unique identifier
show_on_web

boolean
db_report_id

The id of db_report

globally unique identifier

Response Formats

application/json, text/json

Sample:
{
  "id": "d8a5d265-71b5-40ec-aceb-c3533e1caaf8",
  "jobs_id": "ac06554b-bf5c-4f12-9775-d393cb6d1364",
  "job_approval_id": "2ec12fff-da4b-4b9b-af20-855d88503af1",
  "file_name": "sample string 4",
  "name": "sample string 5",
  "description": "sample string 6",
  "tags": "sample string 7",
  "mime_type": "sample string 8",
  "file_type": "sample string 9",
  "image_height": 10,
  "image_width": 11,
  "file_size": 12,
  "sales_organization_id": "e306378f-f40f-4d04-8324-d965b2aa11b4",
  "sales_organization_code": "sample string 14",
  "file_content": "QEA=",
  "dateutc_added": "2026-10-28T21:47:37.7728812+00:00",
  "modified_dateutc": "2026-10-28T21:47:37.7728812+00:00",
  "user_id": "013063b3-1669-47ce-a51f-085f5fff9681",
  "show_on_web": true,
  "db_report_id": "f173cedd-ffa3-410e-9a28-7ff190879b59"
}